Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.property
Class MultiplePropertyMapInspectorProperty

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.property.PropertyMapInspectorProperty
                        |
                        +--com.togethersoft.openapi.ide.inspector.util.property.MultiplePropertyMapInspectorProperty

public class MultiplePropertyMapInspectorProperty
extends PropertyMapInspectorProperty

Represents InspectorProperty which keeps PropertyMap containing multiple Properties with the same key. Multiple Properties are stored in the separate PropertyMap found in the parent PropertyMap by given property key.

Author:
  TogetherSoft

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.property.PropertyMapInspectorProperty
`myKey, myPropertyMap, myReadable, myWritable`

Fields inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
`MULTI_VALUE_TAG, PROP_VALUE, UNDEFINED_VALUE`

Constructor Summary
`MultiplePropertyMapInspectorProperty(PropertyMap map, Object key)` Constructs MultiplePropertyMapInspectorProperty.
`MultiplePropertyMapInspectorProperty(PropertyMap map, Object key, Class valueType, Class editorClass)` Constructs MultiplePropertyMapInspectorProperty.

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.property.PropertyMapInspectorProperty
`canSetValue, getValue, isReadable, isWritable, setReadable, setValue, setWritable`

Methods inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
`addPropertyChangeListener, firePropertyChange, getPropertyEditor, getValueType, removePropertyChangeListener, setPropertyEditor, update`

Methods inherited from class java.beans.FeatureDescriptor
`getName, setName, getDisplayName, setDisplayName, isExpert, setExpert, isHidden, setHidden, isPreferred, setPreferred, getShortDescription, setShortDescription, setValue, getValue, attributeNames`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### MultiplePropertyMapInspectorProperty

    public MultiplePropertyMapInspectorProperty(PropertyMap map, Object key)

  Constructs MultiplePropertyMapInspectorProperty.
  Parameters:
    map - PropertyMap which keeps multiple properties.
    key - Name of this PropertyMap

### MultiplePropertyMapInspectorProperty

    public MultiplePropertyMapInspectorProperty(PropertyMap map, Object key, Class valueType, Class editorClass)

  Constructs MultiplePropertyMapInspectorProperty.
  Parameters:
    map - PropertyMap which keeps multiple properties.
    key - Name of this PropertyMap
    valueType - Type of values which is stored in this PropertyMap
    editorClass - Class which suited to edit values from this PropertyMap

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD